function hrfExample(whichDeriv)

load basisSet;

hrf=xBF.bf(:,1);
timeDeriv=xBF.bf(:,2);
dispDeriv=xBF.bf(:,3);

ll=length(hrf);
tt=(1:length(hrf))*xBF.dt;

switch whichDeriv
    case 1 % show time derivative
        % loop through timeDeriv
        weights=2*[0:0.05:1,0.95:-0.05:-1,-0.95:0.05:0];
        kk=length(weights);
        figure(11); clf;
        plot(tt,timeDeriv/max(timeDeriv),'g--','LineWidth',2);
        hold on;
        plot(tt,hrf/max(hrf),'--','LineWidth',2);
        figure(10);clf;
        disp('Press a button to continue');
        pause;
        for k=1:kk;
            figure(10);clf;
            subplot(1,3,1:2);
            hold on;
            plot(tt,hrf,'--','LineWidth',2);
            plot(tt,weights(k)*timeDeriv,'g--','LineWidth',2);
            plot(tt,hrf+weights(k)*timeDeriv,'c','LineWidth',2);
            
            axis([0 tt(end) -0.02 0.03]);
            xlabel('time in seconds');
            
            subplot(1,3,3);
            bar([1 weights(k)]);
            ylabel('Weight');
            set(gca,'XTickLabel',{'HRF','TimeDeriv'});
            axis([0.4 2.6 -2 2]);
            drawnow;
            pause(0.1);
            
            
        end
        
    case 2 % show dispersion derivative
        
        % loop through timeDeriv
        weights=[0:0.05:1,0.95:-0.05:-1,-0.95:0.05:0];
        kk=length(weights);
        
        figure(11); clf;
        plot(tt,dispDeriv/max(dispDeriv),'r--','LineWidth',2);
        hold on;
        plot(tt,hrf/max(hrf),'--','LineWidth',2);
        figure(10);clf;
        
        disp('Press a button to continue');
        pause;
        
        for k=1:kk;
            figure(10);clf;
            subplot(1,3,1:2);
            hold on;
            plot(tt,hrf,'--','LineWidth',2);
            plot(tt,weights(k)*dispDeriv,'r--','LineWidth',2);
            plot(tt,hrf+weights(k)*dispDeriv,'m','LineWidth',2);
            
            axis([0 tt(end) -0.02 0.03]);
            xlabel('time in seconds');
            
            subplot(1,3,3);
            bar([1 weights(k)]);
            ylabel('Weight');
            set(gca,'XTickLabel',{'HRF','DispDeriv'});
            axis([0.4 2.6 -2 2]);
            drawnow;
            pause(0.1);
            
        end
        
    otherwise
        disp('I do not know what to show. (1: Time derivative, 2: Dispersion derivative)'),
end